Bug 191518 - [maintainer update][patch] port mail/archivesmtp: Add stage support
Summary: [maintainer update][patch] port mail/archivesmtp: Add stage support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-30 19:16 UTC by netherby
Modified: 2014-07-24 21:21 UTC (History)
1 user (show)

See Also:


Attachments
patch (4.06 KB, patch)
2014-06-30 19:16 UTC, netherby
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description netherby 2014-06-30 19:16:23 UTC
Created attachment 144296 [details]
patch
Comment 1 Danilo Egea Gondolfo freebsd_committer 2014-07-03 15:06:39 UTC
When we are using staging, all the files should be installed in STAGEDIR as normal users (not root).

===> src (install)
install -s -o root -g wheel -m 555   archivesmtp /usr/ports/mail/archivesmtp/work/stage/usr/local/sbin/archivesmtp
install: /usr/ports/mail/archivesmtp/work/stage/usr/local/sbin/archivesmtp: chown/chgrp: Operation not permitted
*** Error code 71


Can you check this, please?
Comment 2 commit-hook freebsd_committer 2014-07-24 21:19:38 UTC
A commit references this bug:

Author: danilo
Date: Thu Jul 24 21:18:56 UTC 2014
New revision: 362854
URL: http://svnweb.freebsd.org/changeset/ports/362854

Log:
  - Update from 1.1.b1 to 1.2
  - Add stage support

  PR:		ports/191518
  Submitted by:	netherby@hotmail.com

Changes:
  head/mail/archivesmtp/Makefile
  head/mail/archivesmtp/distinfo
  head/mail/archivesmtp/files/archivesmtp.in
  head/mail/archivesmtp/pkg-descr
  head/mail/archivesmtp/pkg-plist
Comment 3 Danilo Egea Gondolfo freebsd_committer 2014-07-24 21:21:17 UTC
Committed with changes. Thanks!